Subject: Re: bug#3717: M-x man completion

From: Stefan Monnier <[email-masked]>
Date: Wed, 25 Nov 2009 14:30:16 -0500

> Replacing a regexp in your change with "^[^ \t\n]+\\([ \t\n]+[^-)]+)\\)?"
> that adds section names to completion strings fixes this problem,
> so the *Completions* buffer displays in the aforementioned case:

Fine by me, but please try and make the regexp a bit tighter.  E.g. the
above one doesn't have an explicit "(" and allows several spaces between
the page name and the section, whereas AFAICT there's never more than
one space there.

        Stefan